package model

import (
	"git.chillcy.com/golang/colorway/internal/pkg/platform"
	"git.chillcy.com/golang/colorway/internal/pkg/store"
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

type SitePlatformPriceConfig struct {
	ID                     primitive.ObjectID `bson:"_id,omitempty" json:"id,omitempty"`
	Site                   string             `json:"site" bson:"site"`
	Seller                 Seller             `json:"seller" bson:"seller"` // 销售平台
	Enable                 bool               `json:"enable" bson:"enable"` // 是否启用
	embed.RoutePriceConfig `bson:",inline"`   // 路线价格配置
	UpdateAt               time.Time          `bson:"updateAt,omitempty" json:"updateAt,omitempty"`
	CreateAt               time.Time          `bson:"createAt,omitempty" json:"createAt,omitempty"`
}

type Seller struct {
	Platform platform.Platform `json:"platform" bson:"platform"` // 销售平台
	Store    store.Store       `json:"store" bson:"store"`       // 销售平台具体店铺
}
